Arch Tafel Platte

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Panel Sheet and the translation is 65% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Vorherige: Arch Panel Cut.svg Tafelschnitt
Nächste: Verschachteln Arch Nest.svg Arrow-right.svg

Arch Panel Sheet.svg Arch Tafel Blech

Menüeintrag
Arch → Panel tools → Tafel Blatt
Arbeitsbereich
Arch
Standardtastenkürzel
P S
Eingeführt in Version
-
Siehe auch
Arch Tafel, Arch Tafelschnitt, Arch Verschachteln

Beschreibung

Dieses Werkzeug ermöglicht eine 2D Zeichnung zu erstellen, einschließlich einer beliebigen Anzahl von Arch Tafelschnitt Objekten, oder jedes andere 2D Objekt, wie z.B. diejenigen, die mit Entwurf Arbeitsbereich und Skizzierer Arbeitsbereich erstellt wurden. Das Tafelblech wird in der Regel für Layout Schnitte erstellt, die von einer CNC Maschine ausgeführt werden sollen. Diese Blätter können dann in eine DXF Datei exportiert werden.

Arch Wikihouse 03.jpg

Arch Wikihouse 04.jpg

Das obige Bild zeigt, wie Tafelplatten beim Export nach DXF erscheinen.

Anwendung

  1. Optional wähle ein oder mehrere Arch Tafel Schnitt-Objekte oder jedes andere 2D-Objekt, das auf der XY-Ebene liegt.
  2. Drücke die Arch Panel Sheet.svg Arch Tafel Platte-Schaltfläche oder drücke die Tasten P, dann S.

Optionen

  • After the panel sheet is created, with or without child objects, Any other child object can be added/removed to/from the panel sheet by double-clicking it in the tree view and adding or removing objects from its Group folder
  • Double-clicking on the panel in the tree view also allows you to move the objects contained in this sheet, or move its tag
  • It is possible to automatically make panels composed of more than one sheet of a material, by raising its Sheets property
  • Panel Sheets can display a margin, that is useful to make sure a certain space is always present between inner objects and the border of the sheet
  • When Panel sheets are exported to DXF, the outlines, inner holes, tags of their inner children are placed on different layers, as shown on the above image

Eigenschaften

Data

Daten

  • Daten-EigenschaftHeight: Die Höhe des Blattes
  • Daten-EigenschaftWidth: Die Breite des Blattes
  • Daten-EigenschaftFill Ratio (v0.??): Der Prozentsatz des Blechs, der von Schnitten belegt wird (automatisch)
  • Daten-EigenschaftTag Text: Der anzuzeigende Kennzeichnungstext
  • Daten-EigenschaftTag Size: Die Größe des Kennzeichnungstextes
  • Daten-EigenschaftTag Position: Die Position des Kennzeichnungstextes. Automatische Mittenposition bei (0,0,0)
  • Daten-EigenschaftTag Rotation: Die Drehung des Kennzeichnungstextes
  • Daten-EigenschaftFont File: Die Schriftart des Kennzeichnungstextes
  • Daten-EigenschaftMake Face: Falls True, ist das Blech eine Part Fläche, anderenfalls ein Part Linienzug
  • Daten-EigenschaftGrain Direction: Gibt einen Winkel für die (Holz)-Maserung an (im Uhrzeigersinn, 0° bedeutet oben)
  • Daten-EigenschaftGroup (v0.??): Die verknüpften Paneel-Schnitte
  • Daten-EigenschaftRotations (v0.??): Eine Liste möglicher Rotationen für den Satz
  • Daten-EigenschaftScale (v0.??): Gibt die Skalierung an, die auf jede Panelansicht angewandt wird

View

Ansicht

  • Ansicht EigenschaftMargin: Ein Rand, der innerhalb der Grenze angezeigt werden kann
  • Ansicht EigenschaftShow Margin: Schaltet die Anzeige des Randes ein/aus
  • Ansicht EigenschaftShow Grain: Schaltet die Anzeige der (Holz)-Maserung ein/aus (Make Face muss auf 'true' gesetzt sein)

Scripting

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Tafelblechwerkzeug kann in Makros und aus der Python-Konsole aus mit folgender Funktion verwendet werden:

Sheet = makePanelSheet(panels=[], name="PanelSheet")
  • Erstellt ein sheet-Objekt aus panels, welches eine Liste von Arch Panel-Objekten ist.

Beispiel:

import FreeCAD, Draft, Arch

Rect = Draft.makeRectangle(500, 200)
Polygon = Draft.makePolygon(5, 750)

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2000, 400, 0)
p3 = FreeCAD.Vector(1250, 800, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)

Panel1 = Arch.makePanel(Rect, thickness=36)
Panel2 = Arch.makePanel(Polygon, thickness=36)
Panel3 = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

Cut1 = Arch.makePanelCut(Panel1)
Cut2 = Arch.makePanelCut(Panel2)
Cut3 = Arch.makePanelCut(Panel3)
Cut1.ViewObject.LineWidth = 3
Cut2.ViewObject.LineWidth = 3
Cut3.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Sheet = Arch.makePanelSheet([Cut1, Cut2, Cut3])

Tutorien


Arrow-left.svg Vorherige: Arch Panel Cut.svg Tafelschnitt
Nächste: Verschachteln Arch Nest.svg Arrow-right.svg